%define modname ssh2
%define soname %{modname}.so
%define inifile A36_%{modname}.ini

Summary:	PHP bindings for the libssh2 library
Name:		php-%{modname}
Version:	1.1.2
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/ssh2
Source0:	http://pecl.php.net/get/ssh2-%{version}.tgz
BuildRequires:	php-devel >= 3:7.0.0
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libssh2) >= 1.2
Requires:	php >= 3:7.0.0
Epoch:		1

%description
Provides bindings to the libssh2 library which provide access to resources
(shell, remote exec, tunneling, file transfer) on a remote machine using a
secure cryptographic transport.

%prep

%setup -q -n ssh2-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .


%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Sat Oct 27 2018 mokraemer <mokraemer> 1:1.1.2-1.mga6
+ Revision: 1326107
- php7 backport packages

* Fri Oct 26 2018 mokraemer <mokraemer> 1:1.1.2-5.mga7
+ Revision: 1325838
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:1.1.2-4.mga7
+ Revision: 1300242
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1:1.1.2-3.mga7
+ Revision: 1217397
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:1.1.2-2.mga7
+ Revision: 1181000
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1:1.1.2-1.mga7
+ Revision: 1177213
- new version

* Fri Feb 12 2016 umeabot <umeabot> 1:0.12-10.mga6
+ Revision: 958441
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.12-9.mga5
+ Revision: 741236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.12-8.mga5
+ Revision: 687548
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:0.12-7.mga5
+ Revision: 616587
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:0.12-6.mga4
+ Revision: 567670
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:0.12-5.mga4
+ Revision: 527860
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1:0.12-4.mga4
+ Revision: 442696
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:0.12-3.mga3
+ Revision: 393321
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:0.12-2.mga3
+ Revision: 377589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 fwang <fwang> 1:0.12-1.mga3
+ Revision: 310047
- new version 0.12

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:0.11.3-2.mga2
+ Revision: 223935
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 1:0.11.3-1.mga2
+ Revision: 199848
- upgrade to 0.11.3

* Sat Jan 15 2011 spuhler <spuhler> 1:0.11.2-4.mga1
+ Revision: 19524
-BuildRoot:	%%{_tmppath}/%%{name}-%%{version}-%%{release}-buildroot
- imported package php-ssh2

